Bug 570712 - [ks_IN] Add support for Kashmiri language in arabic script
[ks_IN] Add support for Kashmiri language in arabic script
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On: 889956
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-05 00:56 EST by mohammad.nayeem
Modified: 2014-04-29 07:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-29 07:05:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Hindi language po file for Anaconda version 21.33 (188.01 KB, text/plain)
2014-04-29 07:04 EDT, Pravin Satpute
no flags Details

  None (edit)
Description mohammad.nayeem 2010-03-05 00:56:37 EST
Description of problem:

Distribution package for kashmiri language in the arabic script is not available on fedora 12

Version-Release number of selected component (if applicable):


How reproducible:

very

Steps to Reproduce:
1. check for the arabic script language option on fedora 12 and you won't find one.
2.
3.
  
Actual results:


Expected results:
I can choose kashmiri language arabic script.

Additional info:
the keyboard map in the arabic script for kashmir language is already written. For reference check the following bug https://bugzilla.redhat.com/show_bug.cgi?id=485152
Comment 1 Pravin Satpute 2010-03-05 01:06:10 EST
for this i think we need to go through
https://fedoraproject.org/wiki/I18N/LanguageSupportCriteria

and file appropriate bug. for packages

also need to check translations for must packages
may be one Anaconda
Comment 2 Pravin Satpute 2010-03-05 02:22:01 EST
the main think need to remember and handle in this case is 

kashmiri devanagari locale name is ks_IN@devanagari
and kashmiri arabic is only ks_IN
Comment 3 mohammad.nayeem 2010-03-05 12:02:48 EST
Thanks for taking this up.
I will be here to help in whatever way I can, just let me know when it is required.
Comment 4 mohammad.nayeem 2010-03-17 13:00:21 EDT
Any updates?
Comment 5 Pravin Satpute 2010-03-19 08:56:08 EDT
ok 
so we will take it like this 
1) Unicode Support
yeah, It is now specified in annotation of Unicode arabic code chart, which characters one suppose to use for kashmiri

see http://www.unicode.org/charts/PDF/U0600.pdf

page three for kashmiri characters, or search kashmiri


2) Fonts
so we need to check which are the font have these characters
we have kasct-fonts, naffes-web-naskh and some paktype fonts which support arabic characters, so need to crosscheck are have all characters required for rendering of kashmiri 


3) IME
yeah,
you have added IME i new :)
can you just crosscheck it once for these new kashmiri characters
Comment 6 Pravin Satpute 2010-03-19 09:15:16 EDT
just saw while checking in fontconfig .orth file, it is included ur.orth file

but character set of ur and ks is quite different

filed bug

https://bugs.freedesktop.org/show_bug.cgi?id=27195

i think we can take a reference of cdac released kashmiri dvd and can find characters required for kashmiri from font they have given

please note they are not opensource :)

http://ildc.in/Kashmiri/ksindex.aspx
Comment 7 mohammad.nayeem 2010-04-02 00:40:10 EDT
(In reply to comment #5)
> ok 
> so we will take it like this 
> 1) Unicode Support
> yeah, It is now specified in annotation of Unicode arabic code chart, which
> characters one suppose to use for kashmiri
> 
> see http://www.unicode.org/charts/PDF/U0600.pdf
> 
> page three for kashmiri characters, or search kashmiri
> 
> 
> 2) Fonts
> so we need to check which are the font have these characters
> we have kasct-fonts, naffes-web-naskh and some paktype fonts which support
> arabic characters, so need to crosscheck are have all characters required for
> rendering of kashmiri 
 I would think naffes-web-naskh would probably be a better choice.
Do I have to crosscheck for each character? 

> 3) IME
> yeah,
> you have added IME i new :)
> can you just crosscheck it once for these new kashmiri characters    

except for 06C4 all the other characters exist.
Comment 8 mohammad.nayeem 2010-04-02 00:40:58 EDT
(In reply to comment #6)
> just saw while checking in fontconfig .orth file, it is included ur.orth file
> 
> but character set of ur and ks is quite different
> 
> filed bug
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=27195
> 
> i think we can take a reference of cdac released kashmiri dvd and can find
> characters required for kashmiri from font they have given
> 
> please note they are not opensource :)
> 
> http://ildc.in/Kashmiri/ksindex.aspx    

what should we do about it?
Comment 9 mohammad.nayeem 2010-04-02 00:41:32 EDT
I have embedded my comments in the previous two comments.
Comment 10 Pravin Satpute 2010-04-05 06:27:43 EDT
i think we need a document i.e. kashmiri arabic require these many unicode characters, if we can get some reference book or etc for it will be great.
but for now i think please make a page (or attach here on bug i will uplaod it somewhere). 
"characters required for kashmiri language", i think font download from http://ildc.in/Kashmiri/ksindex.aspx will help lot in this case, since it is already supporting all characters of kashmiri

so just open font in fontforge and see present Unicode characters

once we will get this document we can use it as reference from onwards, for modifying keyboard and fontconfig .orth file and existing fonts.
Comment 11 Parag Nemade 2012-07-29 04:42:44 EDT
can we have update here?
Comment 12 Pravin Satpute 2012-08-02 01:43:50 EDT
Update
1. fontconfig now has proper ortho file for Kashmiri arabic.

2. Paktype family provide Kashmiri language font

3. We have ks-kdb.mim

Just need to cross check once http://fedoraproject.org/wiki/I18N/LanguageSupportCriteria

I think we almost there
Comment 13 mohammad.nayeem 2012-08-02 12:45:29 EDT
Great. If there is any translation required. I would help with that too.

Thanks

-Nayeem
Comment 14 Pravin Satpute 2012-08-06 07:21:24 EDT
Language support criteria:

    1.1 Support in Unicode

Yes, Unicode code U+0600
    1.2 Locale Definition in glibc

ks_IN, yes
    1.3 Orthography Definition in fontconfig
ks.ortho, yes
    1.4 A Unicode Font
Paktype, Yes
    1.5 Shaping Engine
ICU, Pango, QT support Arabic
    1.6 Input Method
ks-kdb.mim
    1.7 comps group
Depreciated now.
    1.8 Entry in anaconda

Translation missing. Need to start it @ https://fedora.transifex.com/projects/p/anaconda/

Need to first request team of ks @ https://fedora.transifex.com/projects/p/fedora/ 

    1.9 Entry in system-config-languages
I will do this, i am upstream for s-c-l :)

1.8 and 1.9 is remaining, lets target this for Fedora 18.
Comment 15 mohammad.nayeem 2012-08-06 13:00:59 EDT
How does one go about translation?
Comment 16 A S Alam 2012-08-06 22:09:18 EDT
(In reply to comment #15)
> How does one go about translation?

Step 1: Create (or login) account and request Kashmiri Team (ks) (after login, click on "Request language", select "Kashmiri (ks)"

https://fedora.transifex.com/projects/p/fedora/ 

Once this is done, only then you can start translation for Anaconda with Kashmiri language.

Step 2: do translation on following link:
https://fedora.transifex.com/projects/p/anaconda/
Comment 17 mohammad.nayeem 2012-08-08 14:41:11 EDT
I have completed step 1 above.
Do I have to wait until I see it in the translation link of step 2?
Comment 18 Pravin Satpute 2012-08-10 05:30:42 EDT
Hi Mohammad,
  I think yes. 
  But might be you can download Anaconda .po file and do local translations and once get account you can submit same in upstream.
Comment 19 mohammad.nayeem 2012-08-10 11:57:56 EDT
Pravin,

How can I download Anaconda .po file?


-Nayeem
Comment 20 A S Alam 2012-08-10 23:04:52 EDT
(In reply to comment #19)
> Pravin,
> 
> How can I download Anaconda .po file?
> 
> 
> -Nayeem

https://fedora.transifex.com/projects/p/anaconda/resource/master/download/pot/

Please download from link and use for translation.
Comment 21 A S Alam 2012-08-15 21:54:07 EDT
Hi Nayeem,

Few more steps to create Team is:
- join trans Mailing list (https://admin.fedoraproject.org/mailman/listinfo/trans) and Sent introduction mail about you and Language you want to start
- Request membership in cvsl10n fas group. (https://admin.fedoraproject.org/accounts)

Hope this will help to start Team on Fedora.
Comment 22 mohammad.nayeem 2012-08-16 13:29:21 EDT
Hi A S Alam,

Both steps are done.

Thanks

-Nayeem
Comment 23 A S Alam 2012-08-19 23:30:46 EDT
(In reply to comment #22)
> Hi A S Alam,
> 
> Both steps are done.
> 

finally Kashmiri Team is created for Fedora: https://fedora.transifex.com/projects/p/fedora/language/ks/

you can submit (or do online translation) for anaconda: https://fedora.transifex.com/projects/p/anaconda/
Comment 24 mohammad.nayeem 2012-08-20 16:30:57 EDT
Thankyou very much
Comment 25 mohammad.nayeem 2012-09-04 13:08:05 EDT
I want to create a team of translators. Should I ask them to join 


https://fedora.transifex.com/projects/p/fedora/ 


Thanks

-Nayeem
Comment 26 A S Alam 2012-09-04 22:02:22 EDT
(In reply to comment #25)
> I want to create a team of translators. Should I ask them to join 
> 
> 
> https://fedora.transifex.com/projects/p/fedora/ 

actually here: https://fedora.transifex.com/projects/p/fedora/language/ks/

(click on 'Join team') and also join Mailing list
Comment 27 Pravin Satpute 2012-09-13 11:19:47 EDT
are we able to do translations for Anaconda?
Comment 28 mohammad.nayeem 2012-09-13 12:54:04 EDT
Alam,

Thanks.


Pravin,

Yes, I am putting up a translation team. However, it seems like I have to translate in order from the top. I don't seem to be able to jump to an item down the list on the page https://fedora.transifex.com/projects/p/fedora/language/ks/
and translate.


-Nayeem
Comment 29 A S Alam 2012-09-13 21:45:01 EDT
(In reply to comment #28)
> Alam,
> 
> Thanks.
> 
> 
> Pravin,
> 
> Yes, I am putting up a translation team. However, it seems like I have to
> translate in order from the top. I don't seem to be able to jump to an item
> down the list on the page
> https://fedora.transifex.com/projects/p/fedora/language/ks/
> and translate.

it is not like that. You can do translation for any module, which you want. Like go to "Anaconda →  Master" and click on that. listed module over that link included ALL packages, which are not part of upcoming Fedora 18. 

Also Documentation Translation can be low priority to start with than Software packages.

Language to be supported in Fedora [1], need to start with Anaconda

[1] http://fedoraproject.org/wiki/I18N/LanguageSupportCriteria
Comment 30 Pravin Satpute 2012-12-17 02:19:05 EST
I can see language is listed in control-center. We can simply go with this now.
Comment 31 mohammad.nayeem 2012-12-19 13:47:44 EST
Does that mean, it will be a part of the next release?
Comment 32 Pravin Satpute 2012-12-20 01:13:56 EST
Yes. It is now part of Fedora 18. You can switch desktop to kashmiri.

It will be good if you can do the Anaconda translation, so we can have it listed during installation as well.
Comment 33 mohammad.nayeem 2012-12-20 10:52:57 EST
Pravin,

Thanks. That is great. So it is officially part of Fedora 18.
Anaconda translation is in progress.

Do you think this would be a good time to let people back home in Kashmir and Kashmiri speakers everywhere else know about this, so they can make use of it?

Will there be any official Fedora announcement about the new additions in the next release?

-Nayeem
Comment 34 Pravin Satpute 2012-12-24 01:45:01 EST
For Fedora 18 most of the things are freeze now. If you can complete Anaconda stuff. We can propose it as a feature for Fedora 19.
Comment 35 Pravin Satpute 2013-01-21 01:04:16 EST
Hi 
Mohammad any progress on anaconda stuff?
Comment 36 Fedora End Of Life 2013-04-03 16:35:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 37 mohammad.nayeem 2014-02-25 23:11:11 EST
What does that mean?

-Nayeem
Comment 38 Pravin Satpute 2014-02-27 01:02:51 EST
Nayeem, we just moved QA Contact to proper mailing list.

I gone through anaconda-21.24 translations and still no kashmiri there. Do you need any further help in this regard?

At the minimal stuff, i can send you anaconda po file, simply translate it and attach to bugzilla. I can see there on.

Please update me.
Comment 39 Pravin Satpute 2014-04-29 07:04:17 EDT
Created attachment 890742 [details]
Hindi language po file for Anaconda version 21.33

Hi,

   I just tested this with Fedora rawhide version, still no Kashmiri listed in installer.
   As mentioned earlier we do have i18n support for Kashmiri language with Arabic script (input, fonts, rendering support, locale)
   For getting this selected in a language selection box we need translation for anaconda.

   I am closing this bug for now please reopen when we will have translated po file in hand. Attached hi.po file for reference.

Note You need to log in before you can comment on or make changes to this bug.